Classes | Namespaces
BMIParser.cpp File Reference
`#include "BMIParser.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <iterator>`
`#include <memory>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include <boost/optional.hpp>`
`#include <png.h>`
`#include <zlib.h>`
`#include "ZMFCollector.h"`

## Classes
struct | libzmf::BMIParser::ColorBitmapHeader

## Namespaces
namespace | libzmf

## Variable Documentation

## ◆ m_bitmap

const ColorBitmap& m_bitmap
| private

## ◆ m_error

std::string m_error
| private

## ◆ m_info

PNGInfoPtr m_info
| private

## ◆ m_msg

const std::string m_msg
| private

## ◆ m_png

std::shared_ptr<png_struct> m_png
| private

## ◆ m_row

std::unique_ptr<png_byte[]> m_row
| private

## ◆ m_transparencyBitmap

const ColorBitmap& m_transparencyBitmap
| private